//Functions for interaction with nodes in a flow

// history.navigationMode = 'compatible';
$(document).ready(function() {

var documentWidth = $(document).width();

	// When first open page, set Home node as active (If open to #id, that node is made active)
	var id = location.href.split('#')[1];
	// alert('Opened page to li with id='+id); 
	if (id==undefined)
		{
		$("div.step#home").addClass("active");
		location.href = "#home";
		}
	else
		{
		$("div.step#"+id).addClass("active");
		$("div.step#"+id).focus();

		}
	// $("li.node#"+id).focus();

	$( "a.xref" ).click(function() {
		var id = this.href.split('#')[1];
		// alert('Clicked link to li with id='+id); 
		
		if(id != undefined) { // Change node only if link starts with '#'
		var $els = $('.step');
		$els.removeClass("active");

		$("div.step#"+id).addClass("active");
		$("div.step#"+id).focus();
		location.href = this.href;
                }
	});

	$( "div.breadcrumb > a" ).click(function() {
		var id = this.href.split('#')[1];
		// alert('Clicked breadcrumb link to li with id='+id); 
		var $els = $('.step');
		$els.removeClass("active");

		$("div.step#"+id).addClass("active");
		$("div.step#"+id).focus();
		location.href = this.href;
		return false;
	});

	$( "div.step:not(.active)" ).focus(function() {
		var $els = $('.step');
		$els.removeClass("active");

		// alert( "Handler for .focus() called." );
		$(this).addClass("active");

    	var $target = "#"+$(this).attr('id');
		location.href = $target;
		document.location.reload();

	});

//	$( "div.step.active" ).focus(function() {
//	});

	//		alert( 'class=' + $(this).next(".dlg").attr('ID') );

        $('div.image').click(function () {
			var $dialog = $('<div id="dialog-container"></div>')
			var $content = $(this).clone();
			$dialog.append($content); // or $dialog.append($clonedContent);
			$dialog.dialog({
                width: "auto",
                height: "auto",
				position: { my: "left top", at: "left top", of: $(this)},
                show: {
                    effect: "fade",
                    duration: 500
                },
                hide: {
                    effect: "fade",
                    duration: 500
                }
            });
        });

	
/*	$( "div.step" ).hover(function() {
    	var divleft =  parseInt($(this).offset().left);
		$('html,body').animate({scrollLeft: divleft}, 200);
    });
*/

});


// Handle hashchange to react to Back button being pressed, so can set target node active and focus
$(window).on('hashchange',function() {
    var hash = location.hash.substring(1); // strip the leading # symbol
    // now run code based on whatever the value of 'hash' is

	// alert('hashchange with hash='+hash); 
		$("div.step#"+hash).addClass("active");
		$("div.step#"+hash).focus();

	});

